import { RestApiRequest, RestPathParams, RestQueryParams, RestRequestBody } from '../index';
import { RestRequestHeaders } from '../RestRequestHeaders';
import { RestRequireAuthentication } from '../RestRequireAuthentication';
import { RequiredOnly } from './RequiredOnly';
export type InternalRestApiRequest<PathParams extends RestPathParams = never, QueryParams extends RestQueryParams = never, RequestHeaders extends RestRequestHeaders = never, RequestBody extends RestRequestBody = never, RequireAuthentication extends RestRequireAuthentication = false> = RequiredOnly<RestApiRequest<PathParams, QueryParams, RequestHeaders, RequestBody> & {
    userId: RequireAuthentication extends true ? string : never;
}>;
