import { RestPathParams, RestQueryParams, RestRequestBody } from './index';
import { RestRequestHeaders } from './RestRequestHeaders';
import { RequiredOnly } from './internal/RequiredOnly';
export type RestApiRequest<PathParams extends RestPathParams = never, QueryParams extends RestQueryParams = never, RequestHeaders extends RestRequestHeaders = never, RequestBody extends RestRequestBody = never> = RequiredOnly<{
    pathParams: PathParams;
    queryParams: QueryParams;
    headers: RequestHeaders;
    body: RequestBody;
}>;
